gena_ctrlpt.h File Reference
`#include "sock.h"`
Include dependency graph for gena_ctrlpt.h:

Go to the source code of this file.

## Functions

void | gena_process_notification_event (SOCKINFO *info, http_message_t *event)
| This function processes NOTIFY events that are sent by devices.

## Function Documentation

## gena_process_notification_event()

void gena_process_notification_event | ( | SOCKINFO * | info,
|  | http_message_t * | event
| ) |  |

This function processes NOTIFY events that are sent by devices.

Parameters: IN SOCKINFO *info: Socket structure containing the device socket information IN http_message_t *event: The http message contains the GENA notification

Note
  called by genacallback()

Parameters

  [in] | info | Socket info of the device.
  [in] | event | The http message contains the GENA notification.

References memptr::buf, Handle_Info::Callback, Handle_Info::ClientSubList, Handle_Info::Cookie, http_message_t::entity, GenlibClientSubscription_get_SID(), GetClientHandleInfo(), GetHandleInfo(), has_xml_content_type(), ixmlDocument_free(), ixmlParseBufferEx(), memptr::length, membuffer::length, http_message_t::msg, PARSE_OK, SubscribeLock, SubscribeUnlock, UPNP_EVENT_RECEIVED, UpnpEvent_delete(), UpnpEvent_new(), UpnpEvent_set_ChangedVariables(), UpnpEvent_set_EventKey(), and UpnpEvent_set_SID().

Referenced by genaCallback().